YouVersion PlatformYouVersion Platform
PlatformBiblesDev Docs
CommunityPartnersSupport

YouVersion Platform

Build applications and integrate with the world's most popular Bible platform.

Platform Products

  • Platform Portal
  • Developer Documentation
  • App Management

Resources

  • Support
  • Press inquiries

Legal

  • Privacy Policy
  • Terms of Use

© 2025 YouVersion. All rights reserved.

  • Overview
  • API Reference
  • SDKs
  • Changelog
<  Back to Platform
bibles
    Get a Bible collectiongetGet a Bible's datagetGet the index for a BiblegetGet a passage of Bible textgetGet a Book collection for a BiblegetGet a Book's datagetGet a Chapter collection for a BookgetGet a Chapter's datagetGet a Verse collection for a ChaptergetGet a Verse's dataget
fonts
    Get a collection of fonts supported in the Platform.getGet details about a specific font family in the Platform.getGet a browser-consumable stylesheet for a specific font family.get
highlights
    Get a collection of highlights for a user.getCreate or update a highlight on a passage.postClear highlights for a passage.delete
languages
    Get a collection of languages supported in the Platform.getGet details about a specific language in the Platform.get
licenses
    Get a collection of licensesget
organizations
    Get a collection of organizations in the Platform.getGet details about a specific organization in the Platform.getGet bibles associated with a specific organization in the Platform.get
verse of the days
    Get the verse of the day calendar for an entire year.getGet the verse of the day for a specific day of the year.get
Schemas
Transformers
Transformers

organizations

Endpoint

Provides information about our publishing partners in the YouVersion platform. Use these to get information about the organizations which provide Bible versions.


Get a collection of organizations in the Platform.

GET
https://api.youversion.com
/v1/organizations

Returns a paginated list of Organization objects. Use bible_ids[] to filter to organizations associated with the given Bible version(s); when omitted, all organizations are returned.

Get a collection of organizations in the Platform. › query Parameters

bible_ids[]
​integer[]

Filter organizations to those associated with the given Bible version(s). Use bracket notation: bible_ids[]=111&bible_ids[]=206. When omitted, returns all organizations.

Example: [111,206]
page_size
​

The number of items to return in the collection. Numeric values must be between 1 and 100. Special value "" is supported only when used in combination with the fields parameter and when the client requests three or fewer fields (see fields parameter). When "" is used the server will return all matching items for the requested resource (no numeric page limit).

fields[]
​string[]

A list of top-level fields to include in each resource object. Use bracket notation to pass multiple values, for example: fields[]=id&fields[]=name&fields[]=language. When provided, page_size=* is allowed only if the number of fields requested is three (3) or fewer.

Example: ["id","name","language"]
page_token
​string

The page token to retrieve results from.

Example: eyJzdGFydF9hdCI6IDI2fQ==

Get a collection of organizations in the Platform. › Headers

Accept-Language
​string · required

The localization preferred as a response to the request. See RFC 2616 section 14.4 for further details.

Example: en

Get a collection of organizations in the Platform. › Responses

Successful request

​object[] · readOnly · required
next_page_token
​string · readOnly

Token to send to server when retrieving the next page of results.

Example: eyJzdGFydF9hdCI6IDI2fQ==
GET/v1/organizations
curl --request GET \ --url https://api.youversion.com/v1/organizations \ --header 'Accept-Language: <string>'
shell
Example Responses
{ "data": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "parent_organization_id": "550e8400-e29b-41d4-a716-446655440000", "name": "Biblica, Inc.", "description": "This is a lorem ipsum description of the organization and its purpose and goals and what it does and what it does not do.", "email": "email", "phone": "phone", "primary_language": "en", "website_url": "https://www.biblica.com", "address": { "formatted_address": "2001 Northwest 178th street Oklahoma City, OK 73102", "formatted_locality": "Oklahoma City, OK", "place_id": "ChIJN1t_tDeuEmsRUsoyG83frY4", "latitude": 35.654724, "longitude": -97.547843, "administrative_area_level_1": { "short_name": "OK", "long_name": "Oklahoma" }, "locality": { "short_name": "OK", "long_name": "Oklahoma" }, "country": { "short_name": "OK", "long_name": "Oklahoma" } } } ], "next_page_token": "eyJzdGFydF9hdCI6IDI2fQ==" }
json
application/json

Get details about a specific organization in the Platform.

GET
https://api.youversion.com
/v1/organizations/{organization_id}

Get a single organization resource by its id.

Get details about a specific organization in the Platform. › path Parameters

organization_id
​string · uuid · required

The Organization unique ID provided in the Platform.

Example: 550e8400-e29b-41d4-a716-446655440000

Get details about a specific organization in the Platform. › Headers

Accept-Language
​string · required

The localization preferred as a response to the request. See RFC 2616 section 14.4 for further details.

Example: en

Get details about a specific organization in the Platform. › Responses

Successful request

The Organization Resource in the Platform.
id
​string · uuid · required

The unique identifier of the organization in the Platform.

Example: 550e8400-e29b-41d4-a716-446655440000
parent_organization_id
​string | null · uuid

The id of the parent organization if one exists.

Example: 550e8400-e29b-41d4-a716-446655440000
name
​string

Publisher's name in the language negotiated by Accept-Language headers. If none match known translations, then the primary language of the publisher is used. Whichever language is chosen will be sent back in the Content-Language header.

Example: Biblica, Inc.
description
​string

Description of the organization. It's purpose and goals, values and mission, etc.

Example: This is a lorem ipsum description of the organization and its purpose and goals and what it does and what it does not do.
email
​string | null

The contact email address for the organization if provided.

phone
​string | null

The contact phone number for the organization if provided.

primary_language
​string

The primary language of the organization.

Example: en
website_url
​string

The web site for the organization.

Example: https://www.biblica.com
​object

The Address Schema belonging to the Organization Resource in the Platform.

GET/v1/organizations/{organization_id}
curl --request GET \ --url https://api.youversion.com/v1/organizations/:organization_id \ --header 'Accept-Language: <string>'
shell
Example Responses
{ "id": "550e8400-e29b-41d4-a716-446655440000", "parent_organization_id": "550e8400-e29b-41d4-a716-446655440000", "name": "Biblica, Inc.", "description": "This is a lorem ipsum description of the organization and its purpose and goals and what it does and what it does not do.", "email": "email", "phone": "phone", "primary_language": "en", "website_url": "https://www.biblica.com", "address": { "formatted_address": "2001 Northwest 178th street Oklahoma City, OK 73102", "formatted_locality": "Oklahoma City, OK", "place_id": "ChIJN1t_tDeuEmsRUsoyG83frY4", "latitude": 35.654724, "longitude": -97.547843, "administrative_area_level_1": { "short_name": "OK", "long_name": "Oklahoma" }, "locality": { "short_name": "OK", "long_name": "Oklahoma" }, "country": { "short_name": "OK", "long_name": "Oklahoma" } } }
json
application/json

Get bibles associated with a specific organization in the Platform.

GET
https://api.youversion.com
/v1/organizations/{organization_id}/bibles

Get bibles associated with a specific organization by its id.

Get bibles associated with a specific organization in the Platform. › path Parameters

organization_id
​string · uuid · required

The Organization unique ID provided in the Platform.

Example: 550e8400-e29b-41d4-a716-446655440000

Get bibles associated with a specific organization in the Platform. › query Parameters

page_size
​

The number of items to return in the collection. Numeric values must be between 1 and 100. Special value "" is supported only when used in combination with the fields parameter and when the client requests three or fewer fields (see fields parameter). When "" is used the server will return all matching items for the requested resource (no numeric page limit).

fields[]
​string[]

A list of top-level fields to include in each resource object. Use bracket notation to pass multiple values, for example: fields[]=id&fields[]=name&fields[]=language. When provided, page_size=* is allowed only if the number of fields requested is three (3) or fewer.

Example: ["id","name","language"]
page_token
​string

The page token to retrieve results from.

Example: eyJzdGFydF9hdCI6IDI2fQ==

Get bibles associated with a specific organization in the Platform. › Responses

Successful request

​object[] · readOnly · required
next_page_token
​string · readOnly

Token to send to server when retrieving the next page of results.

Example: eyJzdGFydF9hdCI6IDI2fQ==
total_size
​integer · int32

Total number of bibles in collection matching parameters.

Example: 42
GET/v1/organizations/{organization_id}/bibles
curl --request GET \ --url https://api.youversion.com/v1/organizations/:organization_id/bibles
shell
Example Responses
{ "data": [ { "id": 3034, "abbreviation": "BSB", "promotional_content": "\"https://berean.bible/\"", "copyright": "\"The Holy Bible, Berean Standard Bible, BSB is produced in cooperation with Bible Hub, Discovery Bible, OpenBible.com, and the Berean Bible Translation Committee. This text of God's Word has been dedicated to the public domain.\"", "info": "The Holy Bible", "publisher_url": "", "language_tag": "en", "localized_abbreviation": "BSB", "localized_title": "English: Berean Standard Bible", "title": "Berean Standard Bible", "books": [ "GEN", "EXO", "LEV" ], "youversion_deep_link": "https://www.bible.com/versions/3034", "organization_id": "c3187cfe-a191-4088-9fb2-24c306d9eb38" } ], "next_page_token": "eyJzdGFydF9hdCI6IDI2fQ==", "total_size": 42 }
json
application/json

licensesverse of the days